# Returns a list of records with the specified customer_id Returns a list of records with the specified customer_id Endpoint: GET /engagementScores/{tenantId}/customer/{customer_type}/{customer_id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `customer_type` (string, required) The customer_type to use to for record lookup Enum: "contact", "organization" - `customer_id` (string, required) The customer_id to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.category_id` (string) Engagement category - `Items.components` (array, required) - `Items.components.name` (string, required) Name of the scoring component, from the model - `Items.components.percentile_rank` (number, required) The percentile rank of this score compared to others - `Items.components.raw_score` (number, required) Raw score out of 100 - `Items.components.weight` (number, required) How the score is weighted - `Items.components.weighted_score` (number, required) Score when weighted - `Items.contact_id` (string, required) The contact - `Items.customer_type` (string, required) Enum: "contact", "organization" - `Items.date` (string, required) The date of the score - `Items.date_of_first_engagement` (string) The date of the first engagement - `Items.engagement_model_id` (string) The engagement model used to calculate this score - `Items.id` (string, required) The unique, string identifier of this engagement score - `Items.md5_hash` (string) A hash that prevents bulk routines from unnecessarily writing unchanged data - `Items.notes` (string) - `Items.number_of_months_since_first_engagement` (number) Number of months since first engagement - `Items.organization_id` (string, required) The organization - `Items.percentile_rank` (number) Where this person ranks - `Items.previous_year_percentile_rank` (number) The percentile rank for the previous year - `Items.previous_year_percentile_rank_change` (number) The change in percentile rank for the previous year - `Items.previous_year_score` (number) Score for the previous year - `Items.previous_year_score_percentage_change` (number) Amount of change in absolute value from previous year score - `Items.previous_year_score_value_change` (number) Amount of change in absolute value from previous year score - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.total_score` (number, required) The score - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields